Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/molecules.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -2992,184 +3687,185 @@
 int molecule::FragmentMolecule(ofstream *out, int Order, config *configuration)
 {
-	MoleculeListClass *BondFragments = NULL;
-	int *SortIndex = NULL;
-	int *MinimumRingSize = new int[AtomCount];
-	int FragmentCounter;
-	MoleculeLeafClass *MolecularWalker = NULL;
-	MoleculeLeafClass *Subgraphs = NULL;			// list of subgraphs from DFS analysis
-	fstream File;
-	bool FragmentationToDo = true;
-	class StackClass<bond *> *BackEdgeStack = NULL, *LocalBackEdgeStack = NULL;
-	bool CheckOrder = false;
-	Graph **FragmentList = NULL;
-	Graph *ParsedFragmentList = NULL;
-	Graph TotalGraph;		 // graph with all keysets however local numbers
-	int TotalNumberOfKeySets = 0;
-	atom **ListOfAtoms = NULL;
-	atom ***ListOfLocalAtoms = NULL;
-	bool *AtomMask = NULL;
-
-	*out << endl;
+  MoleculeListClass *BondFragments = NULL;
+  int *SortIndex = NULL;
+  int *MinimumRingSize = new int[AtomCount];
+  int FragmentCounter;
+  MoleculeLeafClass *MolecularWalker = NULL;
+  MoleculeLeafClass *Subgraphs = NULL;      // list of subgraphs from DFS analysis
+  fstream File;
+  bool FragmentationToDo = true;
+  class StackClass<bond *> *BackEdgeStack = NULL, *LocalBackEdgeStack = NULL;
+  bool CheckOrder = false;
+  Graph **FragmentList = NULL;
+  Graph *ParsedFragmentList = NULL;
+  Graph TotalGraph;     // graph with all keysets however local numbers
+  int TotalNumberOfKeySets = 0;
+  atom **ListOfAtoms = NULL;
+  atom ***ListOfLocalAtoms = NULL;
+  bool *AtomMask = NULL;
+
+  *out << endl;
 #ifdef ADDHYDROGEN
-	*out << Verbose(0) << "I will treat hydrogen special and saturate dangling bonds with it." << endl;
+  *out << Verbose(0) << "I will treat hydrogen special and saturate dangling bonds with it." << endl;
 #else
-	*out << Verbose(0) << "Hydrogen is treated just like the rest of the lot." << endl;
+  *out << Verbose(0) << "Hydrogen is treated just like the rest of the lot." << endl;
 #endif
 
-	// ++++++++++++++++++++++++++++ INITIAL STUFF: Bond structure analysis, file parsing, ... ++++++++++++++++++++++++++++++++++++++++++
-
-	// ===== 1. Check whether bond structure is same as stored in files ====
-
-	// fill the adjacency list
-	CreateListOfBondsPerAtom(out);
-
-	// create lookup table for Atom::nr
-	FragmentationToDo = FragmentationToDo && CreateFatherLookupTable(out, start, end, ListOfAtoms, AtomCount);
-
-	// === compare it with adjacency file ===
-	FragmentationToDo = FragmentationToDo && CheckAdjacencyFileAgainstMolecule(out, configuration->configpath, ListOfAtoms);
-	Free((void **)&ListOfAtoms, "molecule::FragmentMolecule - **ListOfAtoms");
-
-	// ===== 2. perform a DFS analysis to gather info on cyclic structure and a list of disconnected subgraphs =====
-	Subgraphs = DepthFirstSearchAnalysis(out, BackEdgeStack);
-	// fill the bond structure of the individually stored subgraphs
-	Subgraphs->next->FillBondStructureFromReference(out, this, (FragmentCounter = 0), ListOfLocalAtoms, false);	// we want to keep the created ListOfLocalAtoms
-	// analysis of the cycles (print rings, get minimum cycle length) for each subgraph
-	for(int i=AtomCount;i--;)
-		MinimumRingSize[i] = AtomCount;
-	MolecularWalker = Subgraphs;
-	FragmentCounter = 0;
-	while (MolecularWalker->next != NULL) {
-		MolecularWalker = MolecularWalker->next;
-		LocalBackEdgeStack = new StackClass<bond *> (MolecularWalker->Leaf->BondCount);
-//		// check the list of local atoms for debugging
-//		*out << Verbose(0) << "ListOfLocalAtoms for this subgraph is:" << endl;
-//		for (int i=0;i<AtomCount;i++)
-//			if (ListOfLocalAtoms[FragmentCounter][i] == NULL)
-//				*out << "\tNULL";
-//			else
-//				*out << "\t" << ListOfLocalAtoms[FragmentCounter][i]->Name;
-		*out << Verbose(0) << "Gathering local back edges for subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
-		MolecularWalker->Leaf->PickLocalBackEdges(out, ListOfLocalAtoms[FragmentCounter++], BackEdgeStack, LocalBackEdgeStack);
-		*out << Verbose(0) << "Analysing the cycles of subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
-		MolecularWalker->Leaf->CyclicStructureAnalysis(out, LocalBackEdgeStack, MinimumRingSize);
-		*out << Verbose(0) << "Done with Analysing the cycles of subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
-		delete(LocalBackEdgeStack);
-	}
-
-	// ===== 3. if structure still valid, parse key set file and others =====
-	FragmentationToDo = FragmentationToDo && ParseKeySetFile(out, configuration->configpath, ParsedFragmentList);
-
-	// ===== 4. check globally whether there's something to do actually (first adaptivity check)
-	FragmentationToDo = FragmentationToDo && ParseOrderAtSiteFromFile(out, configuration->configpath);
-
-	// =================================== Begin of FRAGMENTATION ===============================
-	// ===== 6a. assign each keyset to its respective subgraph =====
-	Subgraphs->next->AssignKeySetsToFragment(out, this, ParsedFragmentList, ListOfLocalAtoms, FragmentList, (FragmentCounter = 0), true);
-
-	// ===== 6b. prepare and go into the adaptive (Order<0), single-step (Order==0) or incremental (Order>0) cycle
-	KeyStack *RootStack = new KeyStack[Subgraphs->next->Count()];
-	AtomMask = new bool[AtomCount+1];
-	AtomMask[AtomCount] = false;
-	FragmentationToDo = false;	// if CheckOrderAtSite just ones recommends fragmentation, we will save fragments afterwards
-	while ((CheckOrder = CheckOrderAtSite(out, AtomMask, ParsedFragmentList, Order, MinimumRingSize, configuration->configpath))) {
-		FragmentationToDo = FragmentationToDo || CheckOrder;
-		AtomMask[AtomCount] = true;	 // last plus one entry is used as marker that we have been through this loop once already in CheckOrderAtSite()
-		// ===== 6b. fill RootStack for each subgraph (second adaptivity check) =====
-		Subgraphs->next->FillRootStackForSubgraphs(out, RootStack, AtomMask, (FragmentCounter = 0));
-
-		// ===== 7. fill the bond fragment list =====
-		FragmentCounter = 0;
-		MolecularWalker = Subgraphs;
-		while (MolecularWalker->next != NULL) {
-			MolecularWalker = MolecularWalker->next;
-			*out << Verbose(1) << "Fragmenting subgraph " << MolecularWalker << "." << endl;
-			//MolecularWalker->Leaf->OutputListOfBonds(out);	// output ListOfBondsPerAtom for debugging
-			if (MolecularWalker->Leaf->first->next != MolecularWalker->Leaf->last) {
-				// call BOSSANOVA method
-				*out << Verbose(0) << endl << " ========== BOND ENERGY of subgraph " << FragmentCounter << " ========================= " << endl;
-				MolecularWalker->Leaf->FragmentBOSSANOVA(out, FragmentList[FragmentCounter], RootStack[FragmentCounter], MinimumRingSize);
-			} else {
-				cerr << "Subgraph " << MolecularWalker << " has no atoms!" << endl;
-			}
-			FragmentCounter++;	// next fragment list
-		}
-	}
-	delete[](RootStack);
-	delete[](AtomMask);
-	delete(ParsedFragmentList);
-	delete[](MinimumRingSize);
-
-
-	// ==================================== End of FRAGMENTATION ============================================
-
-	// ===== 8a. translate list into global numbers (i.e. ones that are valid in "this" molecule, not in MolecularWalker->Leaf)
-	Subgraphs->next->TranslateIndicesToGlobalIDs(out, FragmentList, (FragmentCounter = 0), TotalNumberOfKeySets, TotalGraph);
-
-	// free subgraph memory again
-	FragmentCounter = 0;
-	if (Subgraphs != NULL) {
-		while (Subgraphs->next != NULL) {
-			Subgraphs = Subgraphs->next;
-			delete(FragmentList[FragmentCounter++]);
-			delete(Subgraphs->previous);
-		}
-		delete(Subgraphs);
-	}
-	Free((void **)&FragmentList, "molecule::FragmentMolecule - **FragmentList");
-
-	// ===== 8b. gather keyset lists (graphs) from all subgraphs and transform into MoleculeListClass =====
-	//if (FragmentationToDo) {		// we should always store the fragments again as coordination might have changed slightly without changing bond structure
-		// allocate memory for the pointer array and transmorph graphs into full molecular fragments
-		BondFragments = new MoleculeListClass();
-		int k=0;
-		for(Graph::iterator runner = TotalGraph.begin(); runner != TotalGraph.end(); runner++) {
-			KeySet test = (*runner).first;
-			*out << "Fragment No." << (*runner).second.first << " with TEFactor " << (*runner).second.second << "." << endl;
-			BondFragments->insert(StoreFragmentFromKeySet(out, test, configuration));
-			k++;
-		}
-		*out << k << "/" << BondFragments->ListOfMolecules.size() << " fragments generated from the keysets." << endl;
-
-		// ===== 9. Save fragments' configuration and keyset files et al to disk ===
-		if (BondFragments->ListOfMolecules.size() != 0) {
-			// create the SortIndex from BFS labels to order in the config file
-			CreateMappingLabelsToConfigSequence(out, SortIndex);
-
-			*out << Verbose(1) << "Writing " << BondFragments->ListOfMolecules.size() << " possible bond fragmentation configs" << endl;
-			if (BondFragments->OutputConfigForListOfFragments(out, configuration, SortIndex))
-				*out << Verbose(1) << "All configs written." << endl;
-			else
-				*out << Verbose(1) << "Some config writing failed." << endl;
-
-			// store force index reference file
-			BondFragments->StoreForcesFile(out, configuration->configpath, SortIndex);
-
-			// store keysets file
-			StoreKeySetFile(out, TotalGraph, configuration->configpath);
-
-			// store Adjacency file
-			StoreAdjacencyToFile(out, configuration->configpath);
-
-			// store Hydrogen saturation correction file
-			BondFragments->AddHydrogenCorrection(out, configuration->configpath);
-
-			// store adaptive orders into file
-			StoreOrderAtSiteFile(out, configuration->configpath);
-
-			// restore orbital and Stop values
-			CalculateOrbitals(*configuration);
-
-			// free memory for bond part
-			*out << Verbose(1) << "Freeing bond memory" << endl;
-			delete(FragmentList); // remove bond molecule from memory
-			Free((void **)&SortIndex, "molecule::FragmentMolecule: *SortIndex");
-		} else
-			*out << Verbose(1) << "FragmentList is zero on return, splitting failed." << endl;
-	//} else
-	//	*out << Verbose(1) << "No fragments to store." << endl;
-	*out << Verbose(0) << "End of bond fragmentation." << endl;
-
-	return ((int)(!FragmentationToDo)+1);		// 1 - continue, 2 - stop (no fragmentation occured)
+  // ++++++++++++++++++++++++++++ INITIAL STUFF: Bond structure analysis, file parsing, ... ++++++++++++++++++++++++++++++++++++++++++
+
+  // ===== 1. Check whether bond structure is same as stored in files ====
+
+  // fill the adjacency list
+  CreateListOfBondsPerAtom(out);
+
+  // create lookup table for Atom::nr
+  FragmentationToDo = FragmentationToDo && CreateFatherLookupTable(out, start, end, ListOfAtoms, AtomCount);
+
+  // === compare it with adjacency file ===
+  FragmentationToDo = FragmentationToDo && CheckAdjacencyFileAgainstMolecule(out, configuration->configpath, ListOfAtoms);
+  Free((void **)&ListOfAtoms, "molecule::FragmentMolecule - **ListOfAtoms");
+
+  // ===== 2. perform a DFS analysis to gather info on cyclic structure and a list of disconnected subgraphs =====
+  Subgraphs = DepthFirstSearchAnalysis(out, BackEdgeStack);
+  // fill the bond structure of the individually stored subgraphs
+  Subgraphs->next->FillBondStructureFromReference(out, this, (FragmentCounter = 0), ListOfLocalAtoms, false);  // we want to keep the created ListOfLocalAtoms
+  // analysis of the cycles (print rings, get minimum cycle length) for each subgraph
+  for(int i=AtomCount;i--;)
+    MinimumRingSize[i] = AtomCount;
+  MolecularWalker = Subgraphs;
+  FragmentCounter = 0;
+  while (MolecularWalker->next != NULL) {
+    MolecularWalker = MolecularWalker->next;
+    *out << Verbose(0) << "Analysing the cycles of subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
+    LocalBackEdgeStack = new StackClass<bond *> (MolecularWalker->Leaf->BondCount);
+//    // check the list of local atoms for debugging
+//    *out << Verbose(0) << "ListOfLocalAtoms for this subgraph is:" << endl;
+//    for (int i=0;i<AtomCount;i++)
+//      if (ListOfLocalAtoms[FragmentCounter][i] == NULL)
+//        *out << "\tNULL";
+//      else
+//        *out << "\t" << ListOfLocalAtoms[FragmentCounter][i]->Name;
+    *out << Verbose(0) << "Gathering local back edges for subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
+    MolecularWalker->Leaf->PickLocalBackEdges(out, ListOfLocalAtoms[FragmentCounter++], BackEdgeStack, LocalBackEdgeStack);
+    *out << Verbose(0) << "Analysing the cycles of subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
+    MolecularWalker->Leaf->CyclicStructureAnalysis(out, LocalBackEdgeStack, MinimumRingSize);
+    *out << Verbose(0) << "Done with Analysing the cycles of subgraph " << MolecularWalker->Leaf << " with nr. " << FragmentCounter << "." << endl;
+    delete(LocalBackEdgeStack);
+  }
+  
+  // ===== 3. if structure still valid, parse key set file and others =====
+  FragmentationToDo = FragmentationToDo && ParseKeySetFile(out, configuration->configpath, ParsedFragmentList);
+
+  // ===== 4. check globally whether there's something to do actually (first adaptivity check)
+  FragmentationToDo = FragmentationToDo && ParseOrderAtSiteFromFile(out, configuration->configpath);
+  
+  // =================================== Begin of FRAGMENTATION =============================== 
+  // ===== 6a. assign each keyset to its respective subgraph ===== 
+  Subgraphs->next->AssignKeySetsToFragment(out, this, ParsedFragmentList, ListOfLocalAtoms, FragmentList, (FragmentCounter = 0), true);
+
+  // ===== 6b. prepare and go into the adaptive (Order<0), single-step (Order==0) or incremental (Order>0) cycle
+  KeyStack *RootStack = new KeyStack[Subgraphs->next->Count()];
+  AtomMask = new bool[AtomCount+1];
+  AtomMask[AtomCount] = false;
+  FragmentationToDo = false;  // if CheckOrderAtSite just ones recommends fragmentation, we will save fragments afterwards
+  while ((CheckOrder = CheckOrderAtSite(out, AtomMask, ParsedFragmentList, Order, MinimumRingSize, configuration->configpath))) {
+    FragmentationToDo = FragmentationToDo || CheckOrder;
+    AtomMask[AtomCount] = true;   // last plus one entry is used as marker that we have been through this loop once already in CheckOrderAtSite()
+    // ===== 6b. fill RootStack for each subgraph (second adaptivity check) =====
+    Subgraphs->next->FillRootStackForSubgraphs(out, RootStack, AtomMask, (FragmentCounter = 0));
+
+    // ===== 7. fill the bond fragment list =====
+    FragmentCounter = 0;
+    MolecularWalker = Subgraphs;
+    while (MolecularWalker->next != NULL) {
+      MolecularWalker = MolecularWalker->next;
+      *out << Verbose(1) << "Fragmenting subgraph " << MolecularWalker << "." << endl;
+      //MolecularWalker->Leaf->OutputListOfBonds(out);  // output ListOfBondsPerAtom for debugging
+      if (MolecularWalker->Leaf->first->next != MolecularWalker->Leaf->last) {
+        // call BOSSANOVA method
+        *out << Verbose(0) << endl << " ========== BOND ENERGY of subgraph " << FragmentCounter << " ========================= " << endl;
+        MolecularWalker->Leaf->FragmentBOSSANOVA(out, FragmentList[FragmentCounter], RootStack[FragmentCounter], MinimumRingSize);
+      } else {
+        cerr << "Subgraph " << MolecularWalker << " has no atoms!" << endl;
+      }
+      FragmentCounter++;  // next fragment list
+    }
+  }
+  delete[](RootStack);
+  delete[](AtomMask);
+  delete(ParsedFragmentList);
+  delete[](MinimumRingSize);
+  
+
+  // ==================================== End of FRAGMENTATION ============================================
+
+  // ===== 8a. translate list into global numbers (i.e. ones that are valid in "this" molecule, not in MolecularWalker->Leaf)
+  Subgraphs->next->TranslateIndicesToGlobalIDs(out, FragmentList, (FragmentCounter = 0), TotalNumberOfKeySets, TotalGraph);
+
+  // free subgraph memory again
+  FragmentCounter = 0;
+  if (Subgraphs != NULL) {
+    while (Subgraphs->next != NULL) {
+      Subgraphs = Subgraphs->next;
+      delete(FragmentList[FragmentCounter++]);
+      delete(Subgraphs->previous);
+    }
+    delete(Subgraphs);
+  }
+  Free((void **)&FragmentList, "molecule::FragmentMolecule - **FragmentList");
+
+  // ===== 8b. gather keyset lists (graphs) from all subgraphs and transform into MoleculeListClass =====
+  //if (FragmentationToDo) {    // we should always store the fragments again as coordination might have changed slightly without changing bond structure
+    // allocate memory for the pointer array and transmorph graphs into full molecular fragments
+    BondFragments = new MoleculeListClass();
+    int k=0;
+    for(Graph::iterator runner = TotalGraph.begin(); runner != TotalGraph.end(); runner++) {
+      KeySet test = (*runner).first;
+      *out << "Fragment No." << (*runner).second.first << " with TEFactor " << (*runner).second.second << "." << endl;
+      BondFragments->insert(StoreFragmentFromKeySet(out, test, configuration));
+      k++;
+    }
+    *out << k << "/" << BondFragments->ListOfMolecules.size() << " fragments generated from the keysets." << endl;
+
+    // ===== 9. Save fragments' configuration and keyset files et al to disk ===
+    if (BondFragments->ListOfMolecules.size() != 0) {
+      // create the SortIndex from BFS labels to order in the config file
+      CreateMappingLabelsToConfigSequence(out, SortIndex);
+
+      *out << Verbose(1) << "Writing " << BondFragments->ListOfMolecules.size() << " possible bond fragmentation configs" << endl;
+      if (BondFragments->OutputConfigForListOfFragments(out, configuration, SortIndex))
+        *out << Verbose(1) << "All configs written." << endl;
+      else
+        *out << Verbose(1) << "Some config writing failed." << endl;
+
+      // store force index reference file
+      BondFragments->StoreForcesFile(out, configuration->configpath, SortIndex);
+
+      // store keysets file
+      StoreKeySetFile(out, TotalGraph, configuration->configpath);
+
+      // store Adjacency file
+      StoreAdjacencyToFile(out, configuration->configpath);
+
+      // store Hydrogen saturation correction file
+      BondFragments->AddHydrogenCorrection(out, configuration->configpath);
+
+      // store adaptive orders into file
+      StoreOrderAtSiteFile(out, configuration->configpath);
+
+      // restore orbital and Stop values
+      CalculateOrbitals(*configuration);
+
+      // free memory for bond part
+      *out << Verbose(1) << "Freeing bond memory" << endl;
+      delete(FragmentList); // remove bond molecule from memory
+      Free((void **)&SortIndex, "molecule::FragmentMolecule: *SortIndex");
+    } else
+      *out << Verbose(1) << "FragmentList is zero on return, splitting failed." << endl;
+  //} else
+  //  *out << Verbose(1) << "No fragments to store." << endl;
+  *out << Verbose(0) << "End of bond fragmentation." << endl;
+
+  return ((int)(!FragmentationToDo)+1);    // 1 - continue, 2 - stop (no fragmentation occured)
 };
 
@@ -3184,31 +3880,31 @@
 bool molecule::PickLocalBackEdges(ofstream *out, atom **ListOfLocalAtoms, class StackClass<bond *> *&ReferenceStack, class StackClass<bond *> *&LocalStack)
 {
-	bool status = true;
-	if (ReferenceStack->IsEmpty()) {
-		cerr << "ReferenceStack is empty!" << endl;
-		return false;
-	}
-	bond *Binder = ReferenceStack->PopFirst();
-	bond *FirstBond = Binder;	 // mark the first bond, so that we don't loop through the stack indefinitely
-	atom *Walker = NULL, *OtherAtom = NULL;
-	ReferenceStack->Push(Binder);
-
-	do {	// go through all bonds and push local ones
-		Walker = ListOfLocalAtoms[Binder->leftatom->nr];	// get one atom in the reference molecule
-		if (Walker != NULL) // if this Walker exists in the subgraph ...
-			for(int i=0;i<NumberOfBondsPerAtom[Walker->nr];i++) {		// go through the local list of bonds
-				OtherAtom = ListOfBondsPerAtom[Walker->nr][i]->GetOtherAtom(Walker);
-				if (OtherAtom == ListOfLocalAtoms[Binder->rightatom->nr]) { // found the bond
-					LocalStack->Push(ListOfBondsPerAtom[Walker->nr][i]);
-					*out << Verbose(3) << "Found local edge " << *(ListOfBondsPerAtom[Walker->nr][i]) << "." << endl;
-					break;
-				}
-			}
-		Binder = ReferenceStack->PopFirst();	// loop the stack for next item
-		*out << Verbose(3) << "Current candidate edge " << Binder << "." << endl;
-		ReferenceStack->Push(Binder);
-	} while (FirstBond != Binder);
-
-	return status;
+  bool status = true;
+  if (ReferenceStack->IsEmpty()) {
+    cerr << "ReferenceStack is empty!" << endl;
+    return false;
+  }
+  bond *Binder = ReferenceStack->PopFirst();
+  bond *FirstBond = Binder;   // mark the first bond, so that we don't loop through the stack indefinitely
+  atom *Walker = NULL, *OtherAtom = NULL;
+  ReferenceStack->Push(Binder);
+  
+  do {  // go through all bonds and push local ones
+    Walker = ListOfLocalAtoms[Binder->leftatom->nr];  // get one atom in the reference molecule
+    if (Walker != NULL) // if this Walker exists in the subgraph ...
+      for(int i=0;i<NumberOfBondsPerAtom[Walker->nr];i++) {    // go through the local list of bonds
+        OtherAtom = ListOfBondsPerAtom[Walker->nr][i]->GetOtherAtom(Walker);
+        if (OtherAtom == ListOfLocalAtoms[Binder->rightatom->nr]) { // found the bond
+          LocalStack->Push(ListOfBondsPerAtom[Walker->nr][i]);
+          *out << Verbose(3) << "Found local edge " << *(ListOfBondsPerAtom[Walker->nr][i]) << "." << endl;
+          break;
+        }
+      }
+    Binder = ReferenceStack->PopFirst();  // loop the stack for next item
+    *out << Verbose(3) << "Current candidate edge " << Binder << "." << endl;
+    ReferenceStack->Push(Binder);
+  } while (FirstBond != Binder);
+
+  return status;
 };
 
@@ -3221,24 +3917,24 @@
 bool molecule::StoreOrderAtSiteFile(ofstream *out, char *path)
 {
-	stringstream line;
-	ofstream file;
-
-	line << path << "/" << FRAGMENTPREFIX << ORDERATSITEFILE;
-	file.open(line.str().c_str());
-	*out << Verbose(1) << "Writing OrderAtSite " << ORDERATSITEFILE << " ... " << endl;
-	if (file != NULL) {
-		atom *Walker = start;
-		while (Walker->next != end) {
-			Walker = Walker->next;
-			file << Walker->nr << "\t" << (int)Walker->AdaptiveOrder << "\t" << (int)Walker->MaxOrder << endl;
-			*out << Verbose(2) << "Storing: " << Walker->nr << "\t" << (int)Walker->AdaptiveOrder << "\t" << (int)Walker->MaxOrder << "." << endl;
-		}
-		file.close();
-		*out << Verbose(1) << "done." << endl;
-		return true;
-	} else {
-		*out << Verbose(1) << "failed to open file " << line.str() << "." << endl;
-		return false;
-	}
+  stringstream line;
+  ofstream file;
+
+  line << path << "/" << FRAGMENTPREFIX << ORDERATSITEFILE;
+  file.open(line.str().c_str());
+  *out << Verbose(1) << "Writing OrderAtSite " << ORDERATSITEFILE << " ... " << endl;
+  if (file != NULL) {
+    atom *Walker = start;
+    while (Walker->next != end) {
+      Walker = Walker->next;
+      file << Walker->nr << "\t" << (int)Walker->AdaptiveOrder << "\t" << (int)Walker->MaxOrder << endl;
+      *out << Verbose(2) << "Storing: " << Walker->nr << "\t" << (int)Walker->AdaptiveOrder << "\t" << (int)Walker->MaxOrder << "." << endl;
+    }
+    file.close();
+    *out << Verbose(1) << "done." << endl;
+    return true;
+  } else {
+    *out << Verbose(1) << "failed to open file " << line.str() << "." << endl;
+    return false;
+  }
 };
 
@@ -3252,51 +3948,51 @@
 bool molecule::ParseOrderAtSiteFromFile(ofstream *out, char *path)
 {
-	unsigned char *OrderArray = (unsigned char *) Malloc(sizeof(unsigned char)*AtomCount, "molecule::ParseOrderAtSiteFromFile - *OrderArray");
-	bool *MaxArray = (bool *) Malloc(sizeof(bool)*AtomCount, "molecule::ParseOrderAtSiteFromFile - *MaxArray");
-	bool status;
-	int AtomNr, value;
-	stringstream line;
-	ifstream file;
-
-	*out << Verbose(1) << "Begin of ParseOrderAtSiteFromFile" << endl;
-	for(int i=AtomCount;i--;)
-		OrderArray[i] = 0;
-	line << path << "/" << FRAGMENTPREFIX << ORDERATSITEFILE;
-	file.open(line.str().c_str());
-	if (file != NULL) {
-		for (int i=AtomCount;i--;) { // initialise with 0
-			OrderArray[i] = 0;
-			MaxArray[i] = 0;
-		}
-		while (!file.eof()) { // parse from file
-			AtomNr = -1;
-			file >> AtomNr;
-			if (AtomNr != -1) {	 // test whether we really parsed something (this is necessary, otherwise last atom is set twice and to 0 on second time)
-				file >> value;
-				OrderArray[AtomNr] = value;
-				file >> value;
-				MaxArray[AtomNr] = value;
-				//*out << Verbose(2) << "AtomNr " << AtomNr << " with order " << (int)OrderArray[AtomNr] << " and max order set to " << (int)MaxArray[AtomNr] << "." << endl;
-			}
-		}
-		atom *Walker = start;
-		while (Walker->next != end) { // fill into atom classes
-			Walker = Walker->next;
-			Walker->AdaptiveOrder = OrderArray[Walker->nr];
-			Walker->MaxOrder = MaxArray[Walker->nr];
-			*out << Verbose(2) << *Walker << " gets order " << (int)Walker->AdaptiveOrder << " and is " << (!Walker->MaxOrder ? "not " : " ") << "maxed." << endl;
-		}
-		file.close();
-		*out << Verbose(1) << "done." << endl;
-		status = true;
-	} else {
-		*out << Verbose(1) << "failed to open file " << line.str() << "." << endl;
-		status = false;
-	}
-	Free((void **)&OrderArray, "molecule::ParseOrderAtSiteFromFile - *OrderArray");
-	Free((void **)&MaxArray, "molecule::ParseOrderAtSiteFromFile - *MaxArray");
-
-	*out << Verbose(1) << "End of ParseOrderAtSiteFromFile" << endl;
-	return status;
+  unsigned char *OrderArray = (unsigned char *) Malloc(sizeof(unsigned char)*AtomCount, "molecule::ParseOrderAtSiteFromFile - *OrderArray");
+  bool *MaxArray = (bool *) Malloc(sizeof(bool)*AtomCount, "molecule::ParseOrderAtSiteFromFile - *MaxArray");
+  bool status;
+  int AtomNr, value;
+  stringstream line;
+  ifstream file;
+
+  *out << Verbose(1) << "Begin of ParseOrderAtSiteFromFile" << endl;
+  for(int i=AtomCount;i--;)
+    OrderArray[i] = 0;
+  line << path << "/" << FRAGMENTPREFIX << ORDERATSITEFILE;
+  file.open(line.str().c_str());
+  if (file != NULL) {
+    for (int i=AtomCount;i--;) { // initialise with 0
+      OrderArray[i] = 0;
+      MaxArray[i] = 0;
+    }
+    while (!file.eof()) { // parse from file
+      AtomNr = -1;
+      file >> AtomNr;
+      if (AtomNr != -1) {   // test whether we really parsed something (this is necessary, otherwise last atom is set twice and to 0 on second time)
+        file >> value;
+        OrderArray[AtomNr] = value;
+        file >> value;
+        MaxArray[AtomNr] = value;
+        //*out << Verbose(2) << "AtomNr " << AtomNr << " with order " << (int)OrderArray[AtomNr] << " and max order set to " << (int)MaxArray[AtomNr] << "." << endl;
+      }
+    }
+    atom *Walker = start;
+    while (Walker->next != end) { // fill into atom classes
+      Walker = Walker->next;
+      Walker->AdaptiveOrder = OrderArray[Walker->nr];
+      Walker->MaxOrder = MaxArray[Walker->nr];
+      *out << Verbose(2) << *Walker << " gets order " << (int)Walker->AdaptiveOrder << " and is " << (!Walker->MaxOrder ? "not " : " ") << "maxed." << endl;
+    }
+    file.close();
+    *out << Verbose(1) << "done." << endl;
+    status = true;
+  } else {
+    *out << Verbose(1) << "failed to open file " << line.str() << "." << endl;
+    status = false;
+  }
+  Free((void **)&OrderArray, "molecule::ParseOrderAtSiteFromFile - *OrderArray");
+  Free((void **)&MaxArray, "molecule::ParseOrderAtSiteFromFile - *MaxArray");
+
+  *out << Verbose(1) << "End of ParseOrderAtSiteFromFile" << endl;
+  return status;
 };
 
